SsemPDUCodec Class Reference

`#include <SsemCodec.hh>`

Inheritance diagram for SsemPDUCodec:

## Public Member Functions

| SsemPDUCodec ()
virtual int | encode (const SSEM__PDU__Descriptions::SSEM &ssem, BITSTRING &data)
| Encode TITAN message into ASN.1 PER message. More...
virtual int | decode (const BITSTRING &data, SSEM__PDU__Descriptions::SSEM &)
| Decode ASN.1 PER message into TITAN message. More...

## Additional Inherited Members

Protected Member Functions inherited from per_code< SSEM__PDU__Descriptions::SSEM >
int | _decode (const TTCN_Typedescriptor_t &ttcn, const asn_TYPE_descriptor_s &td, const BITSTRING &p_data, SSEM__PDU__Descriptions::SSEM &msg)
int | _encode (const TTCN_Typedescriptor_t &ttcn, const asn_TYPE_descriptor_s &td, const SSEM__PDU__Descriptions::SSEM &msg, BITSTRING &p_data)
Protected Member Functions inherited from asn1_recode_per
int | ber2per (const asn_TYPE_descriptor_s &td, TTCN_Buffer &buf)
int | per2ber (const asn_TYPE_descriptor_s &td, TTCN_Buffer &buf)
int | recode (const asn_TYPE_descriptor_s &td, int from, int to, TTCN_Buffer &buf)

## Constructor & Destructor Documentation

## SsemPDUCodec()

SsemPDUCodec::SsemPDUCodec | ( |  | ) |

inline

## Member Function Documentation

## decode()

int SsemPDUCodec::decode | ( | const BITSTRING & | p_bitstring,
|  | SSEM__PDU__Descriptions::SSEM & | p_message
| ) |  |

virtual

Decode ASN.1 PER message into TITAN message.

Parameters

  [in] | p_bitstring | The network message in bit string format to decode
  [out] | p_message | The PDU message

Implements per_code< SSEM__PDU__Descriptions::SSEM >.

## encode()

int SsemPDUCodec::encode | ( | const SSEM__PDU__Descriptions::SSEM & | p_message,
|  | BITSTRING & | p_bitstring
| ) |  |

virtual

Encode TITAN message into ASN.1 PER message.

Parameters

  [in] | p_message | The PDU message to encode
  [out] | p_bitstring | The encoded PDU message in bit string format

Implements per_code< SSEM__PDU__Descriptions::SSEM >.

The documentation for this class was generated from the following files:

- /home/vagrant/TriesAndDelete/etsi_its/framework/include/SsemCodec.hh
- /home/vagrant/TriesAndDelete/etsi_its/framework/src/SsemCodec.cc